Package com.orbbec.obsensor

## Enum DeviceType

- java.lang.Object
- - java.lang.Enum<DeviceType>
  - - com.orbbec.obsensor.DeviceType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DeviceType>`

    public enum DeviceType
    extends java.lang.Enum<DeviceType>

Device Type

### Enum Constant Summary

Enum Constants
`OB_STRUCTURED_LIGHT_BINOCULAR_CAMERA` Binocular structured light camera
`OB_STRUCTURED_LIGHT_MONOCULAR_CAMERA` monocular structured light camera
`OB_TOF_CAMERA` tof camera

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DeviceType` `get​(int value)` Get the device type corresponding to the specified index
`int` `value()` The index corresponding to the device type
`static DeviceType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeviceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_STRUCTURED_LIGHT_MONOCULAR_CAMERA

    public static final DeviceType OB_STRUCTURED_LIGHT_MONOCULAR_CAMERA

monocular structured light camera

#### OB_STRUCTURED_LIGHT_BINOCULAR_CAMERA

    public static final DeviceType OB_STRUCTURED_LIGHT_BINOCULAR_CAMERA

Binocular structured light camera

#### OB_TOF_CAMERA

    public static final DeviceType OB_TOF_CAMERA

tof camera

### Method Detail

#### values

    public static DeviceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DeviceType c : DeviceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DeviceType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

The index corresponding to the device type

Returns:
  index value

#### get

    public static DeviceType get​(int value)

Get the device type corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  device type